
"""----------------------------------------------------------------------"""

"""
I'd prefer a different approach for different types of dialogs.  There
should be one class that implements the mapping from class instances to
the objects associated with classes (in this case from layer instances
to the property dialog classes).  There would be one instance for the
layer property dialogs and one for the renderers.  If we need more layer
type specific things we can create more instances.
    

"""

class ClassMapper:
    """
    Implements a mapping of class pairs
    """

    mapping = None

    def __init__(self):
        self.mapping = []

    def add(self, key_class, object):
        self.mapping.append((key_class, object))

    def get(self, instance):
        for key_class, object in self.mapping:
            if isinstance(instance, key_class):
                return object
        return None

    def has(self, instance):
        return self.get(instance) is not None
